[ 이전 ] [ 차례 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ B ] [ 다음 ]


Debian GNU/Linux 3.1 (`sarge'), PA-RISC 릴리즈 노트
부록 A - 커널 업그레이드


다음 내용은 새로운 커널을 설치하기 위한 가능한 백포트 도구를 쓰는 방법을 하나하나 알려준다.

패키지가 woody에서 설치할 필요가 있을 때, sources.list에서 항목을 확인해야한다. 소스 리스트 확인, B.2ㅇ에 있는 woody도 참조하라.

필요한 패키지를 다운로드하고 설치하라

apt를 쓰면: apt나 다른 프론트 엔드를 써서 패키지를 설치하려면 다음 내용을 /etc/apt/sources.list 넣어라:

     deb http://ftp.debian.org/debian/dists/sarge/main/upgrade-kernel ./
     # sources are also available if you need them
     # deb-src http://ftp.debian.org/debian/dists/sarge/main/upgrade-kernel ./

module-init-tools, modutils, palo, initrd-tools을 설치하라:

     # apt-get install module-init-tools palo initrd-tools modutils

(이 뒤에 안전하게 추가항목을 없애도 된다.)

sources.list을 수정해서 APT 소스 준비하기, 4.4 에 있는 것처럼 sarge로 가리키게 했다면, 패키지 리스 트를 업데이트하고 kernel-image-2.6.8-2-64를 설치하라.

dpkg를 쓰면: dpkg로 패키지를 직접 설치하려하면, 다음 파일을 우선 설치하라.

커널 패키지는 module-init-tools에 존하는데 오래된 modutils와 충돌한다 ); initrd-toolscramfsprogs에 의존한다. 모든 다른 패키지들(stat, cpio, ash)는 woody에서 하듯이 하면 된다.

LVM을 쓴다면, lvm2를 미리 설치해야 커널 2.6이 거기에 맞게 작동한다. 커널 2.6은 LVM1을 지원하지 않기 때문인데, LVM1에 접근 하려면, lvm2의 호환층인 dm-mod을 써야한다. lvm10는 그냥 설치 상태로 둬도 된다: init 스크립트가 어떤 커널을 쓰는지 확인해서 자동으로 적절한 버전을 실행한다.

Don't delete your old kernel yet

You should first verify that the new one boots and all hardware needed for the upgrade works (e.g. network adaptors).

시스템이 부팅가능하게 만들기

/etc/palo.conf을 수정해야한다. 현재 커널은 initrd를 쓰고 있지만 예전 woody 데비안 커널은 쓰지 않았다.

새로운 커널로 리부트
시스템 확인

입력 장치, 디스플레이 장치, sarge 패키지 에 접속이 필요한 장치들(네트워크 어댑터, CD 드라이브 등) 을 확인하라. 몇몇 드라이버 모듈이 다른 이름으로 바뀌었을 수 있고 몇몇 드라이브는 예전 커널에서 컴파일 된 것이 다른 모듈로 될 수도 있다....


[ 이전 ] [ 차례 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ B ] [ 다음 ]


Debian GNU/Linux 3.1 (`sarge'), PA-RISC 릴리즈 노트

$Id: release-notes.ko.sgml,v 1.7 2005/06/10 12:35:31 jseidel Exp $

Josip Rodin, Bob Hilliard, Adam Di Carlo, Anne Bezemer, Rob Bradford (현재), Frans Pop(현재)
debian-doc@lists.debian.org